unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, ExtCtrls, Buttons, CheckLst, Spin, Db, EasyTable;

type
  TMainForm = class(TForm)
    GroupBox1: TGroupBox;
    Panel1: TPanel;
    GroupBox2: TGroupBox;
    reResults: TRichEdit;
    Panel2: TPanel;
    Panel3: TPanel;
    clbGroups: TCheckListBox;
    GroupBox3: TGroupBox;
    btSelect: TButton;
    btDeselect: TButton;
    lbComments: TLabel;
    Label2: TLabel;
    seQuantity: TSpinEdit;
    Label1: TLabel;
    sePasses: TSpinEdit;
    btRun: TBitBtn;
    procedure FormCreate(Sender: TObject);
    procedure btSelectClick(Sender: TObject);
    procedure btDeselectClick(Sender: TObject);
    procedure clbGroupsClick(Sender: TObject);
    procedure btRunClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;
  comments: array [0..4] of string =
  (
  'Benchmark for Insert / Edit / Delete records without setting BLOB field values, read table and navigation',
  'Benchmark for Insert / Read / Delete BLOB field values',
  'Benchmark for FindFirst / FindNext methods',
  'Benchmark for Locate method',
  'Benchmark for Filtering records'
  );

implementation

uses BenchProgress;

{$R *.DFM}

procedure TMainForm.FormCreate(Sender: TObject);
begin
 btSelectClick(nil);
 clbGroupsClick(nil);
end;

procedure TMainForm.btSelectClick(Sender: TObject);
var i: integer;
begin
 for i:=0 to clbGroups.Items.Count-1 do
  clbGroups.State[i] := cbChecked;
 btRun.Enabled := true;
end;

procedure TMainForm.btDeselectClick(Sender: TObject);
var i: integer;
begin
 for i:=0 to clbGroups.Items.Count-1 do
  clbGroups.State[i] := cbUnchecked;
 btRun.Enabled := false;
end;

procedure TMainForm.clbGroupsClick(Sender: TObject);
var i: integer;
begin
 lbComments.Caption := '';
 for i:=0 to clbGroups.Items.Count-1 do
  if clbGroups.Selected[i] then
   lbComments.Caption := comments[i];
 btRun.Enabled := false;
 for i:=0 to clbGroups.Items.Count-1 do
  if clbGroups.State[i] = cbChecked then
   begin
    btRun.Enabled := true;
    break;
   end;
end;

procedure TMainForm.btRunClick(Sender: TObject);
begin
 FormProgress.Start;
end;

end.
